com.ihr.xbrl.om.table

## Enum HasParentChildAttribute.ParentChildEnum

- java.lang.Object
- - java.lang.Enum<HasParentChildAttribute.ParentChildEnum>
  - - com.ihr.xbrl.om.table.HasParentChildAttribute.ParentChildEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HasParentChildAttribute.ParentChildEnum>
  Enclosing interface:
    HasParentChildAttribute

      public static enum HasParentChildAttribute.ParentChildEnum
      extends java.lang.Enum<HasParentChildAttribute.ParentChildEnum>

  Contains all possibilities defined in the specification. If the resource contains no explicit information the value UNDEFINED is returned. If there is explicit information one of the other values is returned.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHILDREN_FIRST` The children first.
    `PARENT_FIRST` The parent first.
    `UNDEFINED` The undefined.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HasParentChildAttribute.ParentChildEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HasParentChildAttribute.ParentChildEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final HasParentChildAttribute.ParentChildEnum UNDEFINED

      The undefined.

    - #### PARENT_FIRST

          public static final HasParentChildAttribute.ParentChildEnum PARENT_FIRST

      The parent first.

    - #### CHILDREN_FIRST

          public static final HasParentChildAttribute.ParentChildEnum CHILDREN_FIRST

      The children first.

  - ### Method Detail

    - #### values

          public static HasParentChildAttribute.ParentChildEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HasParentChildAttribute.ParentChildEnum c : HasParentChildAttribute.ParentChildEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HasParentChildAttribute.ParentChildEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null